Create or replace group - Braintrust

Create or replace group

cURL

curl --request PUT \
  --url https://api.braintrust.dev/v1/group \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "member_users": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "member_groups": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "org_name": "<string>"
}
'

Python

import requests

url = "https://api.braintrust.dev/v1/group"

payload = {
    "name": "<string>",
    "description": "<string>",
    "member_users": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
    "member_groups": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
    "org_name": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    member_users: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
    member_groups: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
    org_name: '<string>'
  })
};

fetch('https://api.braintrust.dev/v1/group', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.braintrust.dev/v1/group",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'description' => '<string>',
    'member_users' => [
        '3c90c3cc-0d44-4b50-8888-8dd25736052a'
    ],
    'member_groups' => [
        '3c90c3cc-0d44-4b50-8888-8dd25736052a'
    ],
    'org_name' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.braintrust.dev/v1/group"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"description\": \"<string>\",\n  \"member_users\": [\n    \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n  ],\n  \"member_groups\": [\n    \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n  ],\n  \"org_name\": \"<string>\"}\n")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Codes

JSON Structure

{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "member_users": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "member_groups": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}